<template>
    <div class="wrapper">
        <div class="discountProgramm">
            <div class="discountProgramm__left-wrapper" v-show="!formIsActive">
                <h3 class="discountProgramm__title">{{ local.title[$lang] }}</h3>
                <p  class="discountProgramm__description">
                    {{ local.descriptionFirst[$lang] }}
                </p>
                <p  class="discountProgramm__description">
                    {{ local.descriptionSecond[$lang] }}
                </p>
                <p  class="discountProgramm__description">
                    {{ local.descriptionThird[$lang] }}
                </p>
                <img class="form-close"
                     src="/assets/img/close.png"
                     alt=""
                     @click="$parent.$parent.closeModal()"
                >
            </div>

            <div class="discountProgramm__right-wrapper-mobile">
                <input @click="formIsActive = true"
                       v-if="!formIsActive"
                       type="submit"
                       value="Подключить"
                       class="form-submit"
                >
                <AccessForm @formClosedEvent="handlerClosedEvent"
                            v-else
                            class="discountProgramm__access-form"

                >{{ local.accessFormSlot[$lang] }}</AccessForm>
            </div>

            <div class="discountProgramm__right-wrapper">
                <AccessForm @formClosedEvent="handlerClosedEvent"
                            class="discountProgramm__access-form"

                >{{ local.accessFormSlot[$lang] }}</AccessForm>
            </div>
        </div>
    </div>
</template>

<script>
    import AccessForm from './AccessForm.vue'
    import local from '../../localisation/modals/internetProgramLocalisation.js';
    import { METHODS } from 'http';

    export default {
        data: () => ({
            local,
            formIsActive: false
        }),
        components: {
            AccessForm
        },
        methods:{
            handlerClosedEvent(){
                this.$emit('discountProgrammClosedEvent')
            }
        }
    }
</script>

<style lang="scss" scoped>
</style>
